Debian Bug report logs - #566730
qsynth: Show up in lost+found KDE menu section, should be in Multimedia section

version graph

Package: qsynth; Maintainer for qsynth is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for qsynth is src:qsynth.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Sun, 24 Jan 2010 20:54:01 UTC

Severity: normal

Tags: patch

Found in version qsynth/0.3.4-1

Fixed in version qsynth/0.3.4-2

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#566730; Package qsynth. (Sun, 24 Jan 2010 20:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. (Sun, 24 Jan 2010 20:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: qsynth: Show up in lost+found KDE menu section, should be in Multimedia section
Date: Sun, 24 Jan 2010 21:49:52 +0100
Package:  qsynth
Version:  0.3.4-1
Tags:     patch
User:     debian-edu@lists.debian.org
UserTags: debian-edu

In a Debian Edu Squeeze installation, qsynth show up in the lost+found
KDE menu section.  No program should be there.  I believe the cause of
this is that none of the categories listed in the desktop file for
qsynth is recognized by KDE in Squeeze.  I found a solution by adding
the 'AudioVideo' category to the file.  This moved the menu entry to
the Multimedia section, where I believe it belong.

This untested patch (as in I have not tried to build the package after
it is applied) should solve the issue:

diff -ur qsynth-0.3.4/debian/patches/01_desktop_categories.dpatch qsynth-0.3.4-pere/debian/patches/01_desktop_categories.dpatch
--- qsynth-0.3.4/debian/patches/01_desktop_categories.dpatch    2010-01-24 21:46:29.000000000 +0100
+++ qsynth-0.3.4-pere/debian/patches/01_desktop_categories.dpatch       2010-01-24 21:48:20.000000000 +0100
@@ -13,7 +13,7 @@
  Exec=@ac_prefix@/bin/qsynth
  Icon=@ac_prefix@/share/pixmaps/qsynth.png
 -Categories=Audio;AudioVideo;MIDI;JACK;ALSA;Qt;
-+Categories=Audio;Midi;Music;Qt
++Categories=Audio;AudioVideo;Midi;Music;Qt
  Terminal=false
  Type=Application
  X-SuSE-translate=true

Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Thu, 28 Jan 2010 22:51:05 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Thu, 28 Jan 2010 22:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 566730-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 566730-close@bugs.debian.org
Subject: Bug#566730: fixed in qsynth 0.3.4-2
Date: Thu, 28 Jan 2010 22:48:52 +0000
Source: qsynth
Source-Version: 0.3.4-2

We believe that the bug you reported is fixed in the latest version of
qsynth, which is due to be installed in the Debian FTP archive:

qsynth_0.3.4-2.diff.gz
  to main/q/qsynth/qsynth_0.3.4-2.diff.gz
qsynth_0.3.4-2.dsc
  to main/q/qsynth/qsynth_0.3.4-2.dsc
qsynth_0.3.4-2_i386.deb
  to main/q/qsynth/qsynth_0.3.4-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566730@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated qsynth package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 28 Jan 2010 23:04:02 +0100
Source: qsynth
Binary: qsynth
Architecture: source i386
Version: 0.3.4-2
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 qsynth     - fluidsynth MIDI sound synthesiser front-end
Closes: 449808 566730
Changes: 
 qsynth (0.3.4-2) unstable; urgency=low
 .
   * QA upload.
   * The watch file do no longer get warnings from uscan (Closes: #449808).
   * Update 01_desktop_categories.dpatch, add missing AudioVideo
     category (Closes: #566730).
Checksums-Sha1: 
 c5b0e8d22db2f60fecb6b0a63216d22d493a0335 1015 qsynth_0.3.4-2.dsc
 4aa0a44ef156bee99d36e550caf62d984ece2ba1 6563 qsynth_0.3.4-2.diff.gz
 9e5728233bca75f6cb978d63704b6d5e53e6fffa 250646 qsynth_0.3.4-2_i386.deb
Checksums-Sha256: 
 f595d6393f7ce82379d5a836c18a7e544ab71c106b9f8bf4fe8d5e0bb25667e7 1015 qsynth_0.3.4-2.dsc
 39cb1145be8796de62027766f60b9e025fb02aa2be3ec5cb76d5d92e6a07fb0f 6563 qsynth_0.3.4-2.diff.gz
 23e44563ca3fd02a414431d2fef4e80eeb27f5c18e92320c2df5387ba8ed5c6d 250646 qsynth_0.3.4-2_i386.deb
Files: 
 db3a847206e68053ed7c6a6506c2b7a5 1015 sound optional qsynth_0.3.4-2.dsc
 8bf52a14a96be53b9270284d096be902 6563 sound optional qsynth_0.3.4-2.diff.gz
 3c55dbd5c67e553081e277eff7bb786a 250646 sound optional qsynth_0.3.4-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFLYhFv20zMSyow1ykRAo8UAJ91vO3LTamWVlLsq/Rb8W9eRjOdVwCgsyUt
GjjQhCW/eqi4oryIGs5fa/k=
=dLif
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 30 Mar 2010 07:34:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:12:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.